/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2022/8/28
 */
package org.springblade.modules.business.data.service.impl;


import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.business.data.dto.RtuDataRainDTO;
import org.springblade.modules.business.data.entity.RtuDataRainStoreEntity;
import org.springblade.modules.business.data.mapper.RtuDataRainStoreMapper;
import org.springblade.modules.business.data.service.IRtuDataRainStoreService;
import org.springblade.modules.etl.entity.EtlRainDataEntity;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/***
 * Date:2022/8/28
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataRainStoreServiceImpl extends BaseServiceImpl<RtuDataRainStoreMapper, RtuDataRainStoreEntity> implements IRtuDataRainStoreService {


	@Override
	public List<RtuDataRainStoreEntity> selectList(RtuDataRainDTO dto) {
		return this.baseMapper.selectList(dto);
	}

	@Override
	public List<RtuDataRainStoreEntity> selectLast(RtuDataRainDTO dto) {
		return this.baseMapper.selectLast(dto);
	}

	@Override
	public boolean saveRainData(EtlRainDataEntity etlRainDataEntity) {
		RtuDataRainStoreEntity rainEntity = new RtuDataRainStoreEntity();
		rainEntity.setRtuCode(etlRainDataEntity.getRtuCode());
		rainEntity.setCreateTime(new Date());
		rainEntity.setUpdateTime(new Date());
		rainEntity.setStatus(1);
		rainEntity.setIsDeleted(0);
		rainEntity.setDrp(etlRainDataEntity.getDrp());
		rainEntity.setIntv(etlRainDataEntity.getIntv());
		rainEntity.setTm(etlRainDataEntity.getTm());
		rainEntity.setFromTime(etlRainDataEntity.getFromDate());
		return this.save(rainEntity);
	}

	@Override
	public Long rtuUpDataCount(RtuDataRainDTO rainDTO) {
		return this.baseMapper.rtuUpDataCount(rainDTO);
	}

	@Override
	public Double rainDrpCount(RtuDataRainDTO rainDTO) {
		return this.baseMapper.rainDrpCount(rainDTO);
	}
}
